
Figure - Bug #116264
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111056 (New): AF-V2.0-Launcher/SystemUI----Setting

【AF】【EVT】【设置】点击设置中的应用，选择任意应用，选择卸载，写在完成后未返回上一级界面，且
再次点击卸载后，闪退回桌面
2023-02-15 17:25 - CD TEST-方永红

Status: CLOSED Start date: 2023-02-15

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VC1_FSE_0078_20230228

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302150106

Resolution: FIXED Degrated: No

Severity: Major Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302180012

Reproducibility: Every time Fixed Version: 2023-02-17

Test Type: ST Root cause: 应用卸载后置操作逻辑适配两栏展示问题导致。

Description

【前提条件】

1、设备正常启动

【测试步骤】

1.进入设置

2.点击应用

3.点击查看更多应用

4.选择任意应用

5进入详情后点击卸载

6.操作完成卸载后再次点击卸载

【预期结果】

6、卸载完成后可以返回上一级界面并且可继续操作

【实际结果】

6、卸载完成后未返回上一级界面，且再次点击卸载直接闪退至桌面

【复现率】

3/3

History

#1 - 2023-02-17 10:26 - CD TPM-王祥林

- Target version set to VC1_FSE_0078_20230228

#2 - 2023-02-17 19:00 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

182427 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:PackageInstaller: Adapter dialog style.TC-RID: 1201-0201813IssueID: TS-R-BUG-116264Change-Id: I58074f0f3fb24f01a7cb10aed6b9996456325868
#3 - 2023-02-17 19:00 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

182426 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tao.liao@thundersoft.com

AF:Settings: Fix settings has been killed when uninstall app.TC-RID: 1201-0201802IssueID: TS-R-BUG-116264Change-Id:

I6c0e8ac36ca3c762d5b5ae9df985baf2f9ae665d

#4 - 2023-02-17 19:16 - CD FW-廖涛

- Status changed from New to RESOLVED

- Assignee changed from CD FW-廖涛 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-02-17

- Root cause set to 应用卸载后置操作逻辑适配两栏展示问题导致。

■ Current conclusion

已处理，代码已入库。

■ My analysis

应用卸载后置操作逻辑适配两栏展示问题导致。已处理为返回上一页，如果当前已经是第一页（从外部跳转到应用详情），则退出 Settings。

■ Next action

测试验证。

#5 - 2023-02-20 10:45 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302180012

2.20

验证通过

#6 - 2023-02-20 10:45 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190078 2023-02-15 17-25-04.mp4 24.9 MB 2023-02-15 CD TEST-方永红
